| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
File::Permissions Class Reference
Basic

File permissions class, should most often be a combination File::Permission flags on Unix, but uses directly file attributes for local files and directories on Windows, see SetFileAttributes / GetFileAttributes documentation. More...

`#include <file.h>`

Inheritance diagram for File::Permissions:
[legend]

## Public Member Functions
| Permissions (const Permissions &)
| Permissions (int perms)
| Permissions (int perms, bool isuid, bool isgid, bool sticky)
| Permissions (int perms, bool iswindowsattr)
int | get_st_mode (const Type &) const
| IntegerID ()
| IntegerID (IntType nr)
bool | isHidden () const
bool | isReadOnly () const
bool | isSystem () const
bool | isWindowsAttr () const
bool | isWritable () const
Permissions & | operator= (const Permissions &)
Permissions & | setFlag (const Permission &, bool on)
Permissions & | setHidden (bool yn)
Permissions & | setReadOnly (bool yn)
Permissions & | setSystem (bool yn)
bool | testFlag (const Permission &) const
Public Member Functions inherited from IntegerID< od_int32 >
| IntegerID ()
| IntegerID (od_int32 nr)
virtual | ~IntegerID ()
od_int32 | asInt () const
void | fromString (const char *s, od_int32 defval=Values::Undef< od_int32 >::val())
bool | isUdf () const
virtual bool | isValid () const
virtual bool | operator!= (const IntegerID &oth) const
virtual bool | operator== (const IntegerID &oth) const
void | set (od_int32 i)
void | setUdf ()
BufferString | toString () const

## Static Public Member Functions
static int | get_st_mode (const char *fnm)
static Permissions | getDefault (bool forfile)
static Permissions | getDefault (bool forfile, bool forwindows)
static Permissions | getFrom (int st_mode, int uid)
static Permissions | udf ()
Static Public Member Functions inherited from IntegerID< od_int32 >
static IntegerID | get (od_int32 nr)
static IntegerID | udf ()

## Private Attributes
bool | isgid_ = false
bool | isuid_ = false
bool | iswindowsattr_
bool | sticky_ = false

## Additional Inherited Members
Protected Member Functions inherited from IntegerID< od_int32 >
virtual od_int32 | udfVal () const

## Detailed Description

File permissions class, should most often be a combination File::Permission flags on Unix, but uses directly file attributes for local files and directories on Windows, see SetFileAttributes / GetFileAttributes documentation.

<>

## Constructor & Destructor Documentation

## ◆ Permissions() [1/4]

File::Permissions::Permissions | ( | int | perms | ) |

## ◆ Permissions() [2/4]

File::Permissions::Permissions | ( | const Permissions & |  | ) |

## ◆ Permissions() [3/4]

File::Permissions::Permissions | ( | int | perms,
|  | bool | iswindowsattr )

## ◆ Permissions() [4/4]

File::Permissions::Permissions | ( | int | perms,
|  | bool | isuid,
|  | bool | isgid,
|  | bool | sticky )

## Member Function Documentation

## ◆ get_st_mode() [1/2]

static int File::Permissions::get_st_mode | ( | const char * | fnm | ) |
| static

## ◆ get_st_mode() [2/2]

int File::Permissions::get_st_mode | ( | const Type & |  | ) | const

## ◆ getDefault() [1/2]

static Permissions File::Permissions::getDefault | ( | bool | forfile | ) |
| static

## ◆ getDefault() [2/2]

static Permissions File::Permissions::getDefault | ( | bool | forfile,
|  | bool | forwindows )
| static

## ◆ getFrom()

static Permissions File::Permissions::getFrom | ( | int | st_mode,
|  | int | uid )
| static

## ◆ IntegerID() [1/2]

IntegerID< IntType >::IntegerID | ( |  | ) |
| inline

## ◆ IntegerID() [2/2]

IntegerID< IntType >::IntegerID | ( | IntType | nr | ) |
| inline explicit

## ◆ isHidden()

bool File::Permissions::isHidden | ( |  | ) | const

## ◆ isReadOnly()

bool File::Permissions::isReadOnly | ( |  | ) | const
| inline

## ◆ isSystem()

bool File::Permissions::isSystem | ( |  | ) | const

## ◆ isWindowsAttr()

bool File::Permissions::isWindowsAttr | ( |  | ) | const
| inline

## ◆ isWritable()

bool File::Permissions::isWritable | ( |  | ) | const

## ◆ operator=()

Permissions & File::Permissions::operator= | ( | const Permissions & |  | ) |

## ◆ setFlag()

Permissions & File::Permissions::setFlag | ( | const Permission & | ,
|  | bool | on )

## ◆ setHidden()

Permissions & File::Permissions::setHidden | ( | bool | yn | ) |

## ◆ setReadOnly()

Permissions & File::Permissions::setReadOnly | ( | bool | yn | ) |

## ◆ setSystem()

Permissions & File::Permissions::setSystem | ( | bool | yn | ) |

## ◆ testFlag()

bool File::Permissions::testFlag | ( | const Permission & |  | ) | const

## ◆ udf()

static Permissions File::Permissions::udf | ( |  | ) |
| inline static

## Member Data Documentation

## ◆ isgid_

bool File::Permissions::isgid_ = false
| private

## ◆ isuid_

bool File::Permissions::isuid_ = false
| private

## ◆ iswindowsattr_

bool File::Permissions::iswindowsattr_
| private

## ◆ sticky_

bool File::Permissions::sticky_ = false
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025